Class
PriorityType
Stores items in such a way that the item with the highest priority is at the top.

PriorityType

PriorityHeap

PriorityType<TValue, TLess, TSpec>
Include Headers
seqan/misc.h
Parameters

TValue | The value type that is stored. Default: int
TLess | The comparator type that is used for sorting the items stored. Default: std::less<TValue>
TSpec | The specializing type. Default: PriorityHeap

Specializations

PriorityHeap | Stores the priority data on a heap.

Metafunctions

Size | Type of an object that is suitable to hold size information.
Value | Type of the items in the container.

Functions

adjustTop | Adjusts the priority of the first item.
clear | Resets an object.
empty | Test a container for being empty.
length | The number of items/characters.
pop | Deletes item with the highest priority and adjusts the priority queue.
push | Inserts a new item and adjusts the priority queue if necessary.
top | Reference to the item with the highest priority.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45